Skip to main content
`Ctrl`+`K`

# numpy.polynomial.polynomial.polymulx

polynomial.polynomial.polymulx(c)

  Multiply a polynomial by x.

  Multiply the polynomial c by x, where x is the independent variable.

  Parameters:
    c array_like

      1-D array of polynomial coefficients ordered from low to high.

  Returns:
    out ndarray

      Array representing the result of the multiplication.

  See also

  `polyadd`, `polysub`, `polymul`, `polydiv`, `polypow`

  Examples

      >>> from numpy.polynomial import polynomial as P
      >>> c = (1, 2, 3)
      >>> P.polymulx(c)
      array([0., 1., 2., 3.])